#
# boo-ya!
#

import string, localizer

def is_on(str):
    if (string.lower(str) == 'on') or (string.lower(str) == 'yes'):
        return 1
    return 0

def on_str(n):
    if n:
        return 'on'
    return 'off'

def set_timestamp(client, val):
    client.TIMESTAMP = is_on(val)
    client.CONFIG['timestamp'] = on_str(is_on(val))

def set_indent(client, val):
    client.console.set_indent(int(val))
    client.CONFIG['indent'] = str(int(val))

def set_word_wrap(client, val):
    client.console.set_word_wrap(is_on(val))
    client.CONFIG['word-wrap'] = on_str(is_on(val))

def set_status_bar(client, val):
    if val[-1] == '"':
        val = val[:-1]
    if val[0] == '"':
        val = val[1:]
    client.console.set_status_line(val)

def set_more_mode(client, val):
    client.console.set_more_mode(is_on(val))
    client.CONFIG['more-mode'] = on_str(is_on(val))

def set_beep_on_msg(client, val):
    client.BEEP_ON_MSG = is_on(val)
    client.CONFIG['beep-on-msg'] = on_str(is_on(val))

def set_highlight_nick(client, val):
    client.HIGHLIGHT_NICK = is_on(val)
    client.CONFIG['highlight-nick'] = on_str(is_on(val))
    
def set_entry_size(client, val):
    list = string.split(val, ',')
    if len(list) < 2:
        list.append(list[0])
    client.console.set_expand(int(list[0]), int(list[1]))
    client.CONFIG['entry-size'] = str(int(list[0])) + ',' + str(int(list[1]))

def set_encoding(client, val):
    client.ENCODING = str(val)
    client.utf8 = localizer.Localizer(client.ENCODING)
    client.CONFIG['encoding'] = str(val)
